classification
Title: asyncio: Typo in documentation: BaseSubprocessTransport -> SubprocessTransport
Type: Stage: resolved
Components: asyncio Versions: Python 3.6
process
Status: closed Resolution: duplicate
Dependencies: Superseder: asyncio docs overhaul
View: 33649
Assigned To: docs@python Nosy List: asvetlov, docs@python, kbumsik, yselivanov
Priority: normal Keywords: patch

Created on 2018-06-27 22:46 by kbumsik, last changed 2018-09-12 18:39 by kbumsik. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7981 closed kbumsik, 2018-06-28 04:12
Messages (5)
msg320638 - (view) Author: Bumsik Kim (kbumsik) * Date: 2018-06-27 22:46
https://docs.python.org/3/library/asyncio-protocol.html#basesubprocesstransport

I belive the doc has a wrong name "basesubprocesstransport" and it should be "Subprocesstransport".

You can see this in the source code: https://github.com/python/cpython/blob/3.6/Lib/asyncio/transports.py
msg320823 - (view) Author: Bumsik Kim (kbumsik) * Date: 2018-07-01 05:16
As a note, BaseSubprocessTransport is used for implementation of SubprocessTransport. BaseSubprocessTransport is not exposed outside of the module.
msg320858 - (view) Author: Bumsik Kim (kbumsik) * Date: 2018-07-02 09:33
I also found that SubprocessTransport.close() does not reflect the changes done in #23347.
msg325031 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-09-11 16:58
Superseded by #33649
msg325162 - (view) Author: Bumsik Kim (kbumsik) * Date: 2018-09-12 18:39
#33649 does not solve a problem of SubprocessTransport.close() done in #23347. I made a PR #33649 directly to fix that.
History
Date User Action Args
2018-09-12 18:39:03kbumsiksetmessages: + msg325162
2018-09-11 16:58:11asvetlovsetstatus: open -> closed
superseder: asyncio docs overhaul
messages: + msg325031

resolution: duplicate
stage: patch review -> resolved
2018-07-02 09:33:06kbumsiksetmessages: + msg320858
2018-07-01 05:16:48kbumsiksetmessages: + msg320823
2018-06-28 04:12:11kbumsiksetkeywords: + patch
stage: patch review
pull_requests: + pull_request7592
2018-06-27 22:47:17vstinnersetnosy: + asvetlov, yselivanov

components: + asyncio, - Documentation
title: Typo: BaseSubprocessTransport -> SubprocessTransport -> asyncio: Typo in documentation: BaseSubprocessTransport -> SubprocessTransport
2018-06-27 22:46:14kbumsikcreate